# Terraform Cloud MCP Documentation

This directory contains supplementary documentation for the Terraform Cloud MCP project.

## Structure

### Development & Contributing Documentation
- `DEVELOPMENT.md` - Comprehensive development guidelines and coding standards
- `CONTRIBUTING.md` - Guidelines for contributing to the project

### Model Documentation
The `models/` directory contains example usage for each model:
- `account_examples.md` - Account model usage examples
- `organization_examples.md` - Organization model usage examples  
- `workspace_examples.md` - Workspace model usage examples
- `run_examples.md` - Run model usage examples

### Tool Documentation
The `tools/` directory contains example usage for each tool:
- `account_tools.md` - Account tool usage examples
- `organization_tools.md` - Organization tools usage examples
- `workspace_tools.md` - Workspace tools usage examples
- `run_tools.md` - Run tools usage examples

### Conversation Examples
The `conversations/` directory contains example conversations and usage scenarios.

## Documentation Philosophy
1. Code docstrings contain essential information about purpose, fields, parameters, and return values
2. Extended examples and usage patterns are in these documentation files
3. Development standards and patterns are consolidated in DEVELOPMENT.md
4. This structure keeps the codebase clean while maintaining comprehensive documentation